Payment batches & settlement

List Stablecoin Allocation Payments

Name and signature indicate it lists stablecoin allocation payments

POSThttps://api.toku.com/hris/list-stablecoin-allocation-payments

Required scope: payroll:read. It also needs banking:read, compensation:read.

curl --request POST \
  --url 'https://api.toku.com/hris/list-stablecoin-allocation-payments' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "periodYear": 0,
  "periodMonth": 0,
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "paidFrom": "2026-01-01T00:00:00Z",
  "paidTo": "2026-01-01T00:00:00Z",
  "tokenSymbol": "string",
  "networkName": "string",
  "includeVoided": true,
  "search": "string",
  "page": 0,
  "pageSize": 0
}'
200 response
{
  "rows": [],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0,
  "totals": []
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

periodYearinteger

Allowed: 2020 to 2100

periodMonthinteger

Allowed: 1 to 12

roleInOrgIDstring<uuid>
paidFromstring<date-time>
paidTostring<date-time>
tokenSymbolstring

Allowed: 1 to 20 characters

networkNamestring

Allowed: 1 to 60 characters

includeVoidedboolean
searchstring

Allowed: 1 to 100 characters

pageinteger

Allowed: at least 1

pageSizeinteger

Allowed: 1 to 200

Response

200Successful response
rowsany[]
totalCountinteger
pageinteger
pageSizeinteger
totalsany[]
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits